## org.eclipse.datatools.sqltools.sqlbuilder.views.update
Class UpdateTreeViewer.UpdateTreeContentProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
          org.eclipse.datatools.sqltools.sqlbuilder.views.GridContentProvider
              org.eclipse.datatools.sqltools.sqlbuilder.views.update.UpdateTreeViewer.UpdateTreeContentProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider, org.eclipse.ui.views.properties.IPropertySourceProvider

Enclosing class:
  UpdateTreeViewer

    public class UpdateTreeViewer.UpdateTreeContentProvider

extends GridContentProvider

UpdateTree content provider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider.ViewerRefresh`

Constructor Summary
`UpdateTreeViewer.UpdateTreeContentProvider(SQLDomainModel domainModel)`

Method Summary
`java.lang.Object[]` `getChildren(java.lang.Object element)`
`java.lang.Object[]` `getElements(java.lang.Object object)` This method is repeatedly called to get instances of UpdateTreeElement representing all the atomic predicates in the assignment clause of the given update statement.UpdateTreeElement can represent either a single predicate or a group of predicates.
`boolean` `hasChildren(java.lang.Object element)`

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.GridContentProvider
`notifyChanged`

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`dispose, getAdapterFactory, getParent, getPropertySource, inputChanged, setAdapterFactory`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateTreeViewer.UpdateTreeContentProvider

    public UpdateTreeViewer.UpdateTreeContentProvider(SQLDomainModel domainModel)

Method Detail

### getElements

    public java.lang.Object[] getElements(java.lang.Object object)

  This method is repeatedly called to get instances of UpdateTreeElement representing all the atomic predicates in the assignment clause of the given update statement.UpdateTreeElement can represent either a single predicate or a group of predicates.

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
  Overrides:
    `getElements` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`

### hasChildren

    public boolean hasChildren(java.lang.Object element)

  Specified by:
    `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  Overrides:
    `hasChildren` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object element)

  Specified by:
    `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  Overrides:
    `getChildren` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`